import React, { Component } from 'react'
import { css } from 'glamor'
import theme from './theme'

class GlobalStyles extends Component {
  componentDidMount () {
    css.global('html', {
      height: '100%',
      display: 'flex',
      minWidth: 'auto',
      margin: 0,
      background: theme.colors.tint[0]
    })

    css.global('body', {
      margin: 0,
      flex: 1,
      display: 'flex',
      flexDirection: 'column',
      fontFamily: theme.fonts.sans,
      fontSize: theme.textStyles.body1.fontSize,
      fontWeight: theme.textStyles.body1.fontWeight,
      letterSpacing: theme.textStyles.body1.letterSpacing
    })

    css.global('body > div:first-child', {
      // This is meant as a robust way to make flexed layouts work for React roots
      // This makes the assumption that the div is the #root
      width: '100%',
      flex: 1
    })
  }

  render () {
    return null
  }
}

export default GlobalStyles
